# Generated by Django 3.0.3 on 2021-10-08 15:17

from django.db import migrations

from main.models import TerritorioStatus


def add_new_territoriostatus_arquivos(apps, schema_editor):
    TerritorioStatusOld = apps.get_model('main', 'TerritorioStatus')
    try:
        pendente = TerritorioStatusOld.objects.get(pk=TerritorioStatus.ENVIO_ARQUIVOS_PTT_NAFILA)
    except TerritorioStatusOld.DoesNotExist:
        pendente = TerritorioStatusOld()
        pendente.id = TerritorioStatus.ENVIO_ARQUIVOS_PTT_NAFILA
        pendente.nome = "PTT: envio de arquivos está pendente."
        pendente.save()

class Migration(migrations.Migration):

    dependencies = [
        ('main', '0079_merge_20211001_1558'),
    ]

    operations = [
        migrations.RunPython(add_new_territoriostatus_arquivos),
    ]
